Package org.postgresql.core

# Class SetupQueryRunner

java.lang.Object
org.postgresql.core.SetupQueryRunner

public class SetupQueryRunner extends Object
Poor man's Statement & ResultSet, used for initial queries while we're still initializing the system.

## Constructor Summary

Constructors
Constructor
Description
`SetupQueryRunner()`

## Method Summary

Modifier and Type
Method
Description
`static @Nullable Tuple`
`run(QueryExecutor executor, String queryString, boolean wantResults)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SetupQueryRunner

public SetupQueryRunner()

## Method Details

### run

public static @Nullable Tuple run(QueryExecutor executor, String queryString, boolean wantResults) throws SQLException

Throws:
  `SQLException`